## dh-python 1.20131003

=== tests/t206/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	# python2.4 hardcoded via `dh_python2 -V 2.4`
	grep -q Depends:.*python2.4 debian/foo/DEBIAN/control
	grep -q '\-V 2.4 /usr/share/baz24' debian/foo/usr/share/python/runtime.d/foo.rtupdate
	grep -q '/usr/share/baz24 \-V 2.4' debian/foo/DEBIAN/postinst
	# python2.5 due to X-Python-Version: 2.5
	grep -q Depends:.*python2.5 debian/foo/DEBIAN/control
	grep -q '\-V 2.5 /usr/share/bar25' debian/foo/usr/share/python/runtime.d/foo.rtupdate
	grep -q '/usr/share/bar25 \-V 2.5' debian/foo/DEBIAN/postinst
	# python2.6 hardcoded via shebang
	grep -q Depends:.*python2.6 debian/foo/DEBIAN/control
	grep -q '\-V 2.6 /usr/share/foo' debian/foo/usr/share/python/runtime.d/foo.rtupdate
	grep -q '/usr/share/foo \-V 2.6' debian/foo/DEBIAN/postinst

## dh-python 1.20131021

=== debian/changelog ===
dh-python (1.20131021-1~bpo70+1~nd70+1) wheezy; urgency=low

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 06 Jan 2014 14:09:01 -0500

dh-python (1.20131021-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Replace libpython3-stdlib build dependency with python3.2
  * Update default/supported Python versions (in a fallback code,
    if python_defaults missing)
  * Use dpkg-divert to replace python3's dh_python3 and python's dh_python2
    and drop Breaks/Replaces
  * dh_python2: do not rename extension files, Wheezy's python2.7 doesn't
    support multiarch tuples
  * Disable multiarch dependencies (":any" not supported that well in Wheezy)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 04 Nov 2013 23:26:58 +0100

dh-python (1.20131021-1) unstable; urgency=low

  * dh_python2: fix renaming debug extensions with multiarch tuples

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 21 Oct 2013 20:52:04 +0200

dh-python (1.20131017-1) unstable; urgency=low

  [ Stefano Rivera ]
  * distutils build plugin: use default interpreter symlink in build step as
    well as the install step (if interpreter version matches the default one).
    So that shebangs in setuptools scripts.

  [ Piotr Ożarowski ]
  * dh_python2: searching for packages with egg-info fixed
  * dh_python2: fix public module version detection (regression)
  * dh_py*: "so" files no longer detected as extensions (closes: 726616)
  * pybuild: set PYTHON_LIBRARY and PYTHON_INCLUDE_DIR in cmake build
    plugin's configure step

  [ B. Clausius ]
  * pybuild: no longer fails if source directory path contains braces
    (closes: 726458)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 17 Oct 2013 22:24:25 +0200

dh-python (1.20131003-1) unstable; urgency=low

  * Revert python-docutils build dependency change (to avoid circular
    dependencies)
  * Install PyDist fallback files

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 03 Oct 2013 18:06:37 +0200

dh-python (1.20130917-1) unstable; urgency=low

  * dh_python{2,3}:
    - bump minimum required python{,3}:any version to workaround #723586
    - generate :any dependencies to specify range of supported Python versions
      (doesn't include extensions case), closes: 723070

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 17 Sep 2013 19:29:05 +0200

dh-python (1.20130913-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * dh_py*:
    - add --requires option
    - do not generate "python2" dependency while guessing private
      extension's version using shebangs in other files (closes: #722307)

  [ Steve Langasek ]
  * Adjust dh_python to be multiarch-friendly (closes: 722045)

  [ B. Clausius ]
  * pybuild: fix --test when LC_ALL=C and setup.py contains non-ascii
    characters (closes: 722214)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 13 Sep 2013 20:47:46 +0200

dh-python (1.20130903-1) unstable; urgency=low

  * dh_python2, dh_python3, dh_pypy:
    - do not rename extensions in directories that include architecture triplet
      as part of the path (closes: 721696)
    - add --no-ext-rename option

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 03 Sep 2013 20:20:43 +0200

dh-python (1.20130902-1) unstable; urgency=low

  * Fix DESTDIR guessing (from --name) for non-default interpreter versions
  * Add {package} to supported variables in command templates

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 02 Sep 2013 18:22:14 +0200

dh-python (1.20130901-1) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Fix pybuild.pm when PYBUILD_INTERPRETERS is set
    (broken in previous upload, closes: #720744)
  * Bump doctests s/3.2/3.3/

  [ Piotr Ożarowski ]
  * Add Barry Warsaw to co-maintainers
  * pybuild:
    - mention {version.major} and {version.minor} in pybuild's manpage
      (closes: 721068)
    - add --test-tox option (PYBUILD_TEST_TOX=1 works too, like with
      other pybuild options), closes: 721067
    - set https_proxy to 127.0.0.1 if it's not set (similar to http_proxy)
    - distutils build plugin: use default interpreter symlink in install step
      (if interpreter version matches the default one) - this will force
      distutils to not hardcode interpreter version in shebangs
    - fix problem with relative paths when dh's --sourcedirectory is used
    - add --name (PYBUILD_NAME) option
  * dh_python{2,3} and dh_pypy: generate "interpreter (>= X.Y),
    interpreter (<< X.Z)" dependency if private directory contains extensions
    even if there are no .py files inside (closes: 720258)
  * Disable two tests in test201 dir if /usr/bin/python2.6 is not available
  * Replace python-docutils build dependency with python3-docutils (both
    provide rst2man)

  [ Dmitry Shachnev ]
  * Make sure tests do not require python-support.
  * Add "dh-python" and "nosetests" autopkgtests.

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 01 Sep 2013 20:51:17 +0200

dh-python (1.20130819-1) unstable; urgency=low

  * Do not translate X-Python{,3}-Version into Depends if there are no Python
    files in the package
  * pybuild's distutils build plugin: set --root only in install step.
    dh doesn't pass DESTDIR in other steps and hence files for single binary
    packages ended in debian/tmp by default (closes: 719434)
  * Fix typo in plugin_cmake.py (thanks to D. Barbier, closes: #719528)
  * pybuild: --test-nose/--test-pytest have higher priority than setup.py's
    test_suite now
  * pybuild.pm: remove .pyc files in clean target
  * pybuild: directory paths escaping fixed
  * install README.PyDist file in dh-python package (closes: #698144)
  * Replace "libpython3.3-stdlib, python3.2" build depentency with
    libpython3-stdlib (which is already in unstable)



=== debian/control ===
Source: dh-python
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>, Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 9), python3-minimal,
 python3.2,
# provides rst2man command (python3-docutils not used to avoid circular deps):
 python-docutils
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/dh-python/dh-python.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=dh-python/dh-python.git
X-Python3-Version: >= 3.2
XS-Testsuite: autopkgtest

Package: dh-python
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}
Description: Debian helper tools for packaging Python libraries and applications
 This package contains:
  * pybuild - invokes various build systems for requested Python versions in
    order to build modules and extensions
  * dh_python2 - calculates Python 2.X dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.
  * dh_python3 - calculates Python 3.X dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.
  * dh_pypy - calculates PyPy dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.

## dh-python 1.20140128

=== pydist/Makefile ===
#!/usr/bin/make -f

clean:
	rm -rf cache
	#rm -f dist_fallback
	rm -f README.PyDist.html

dist_fallback:
	python3 ./generate_fallback_list.py --skip-sensible-names

README.PyDist.html: README.PyDist
	rst2html $< $@

.PHONY: clean

=== tests/Makefile ===
#!/usr/bin/make -f

# hardcode default/supported Python versions to make tests more reliable
# Note that all these packages have to be installed during tests
export DEBPYTHON_DEFAULT=2.7
export DEBPYTHON_SUPPORTED=2.6,2.7
export DEBPYTHON3_DEFAULT=3.3
export DEBPYTHON3_SUPPORTED=3.2,3.3

# enable or disable tests here:
TESTS := test101 test201 test202 test203 test204 test205 test206 test207 test301 test302 test303 test304

all: $(TESTS)

test%:
	make -C t$* run
	make -C t$* check

clean-test%:
	make -C t$* clean

clean: $(TESTS:%=clean-%)
	rm -f *\.dsc *\.tar\.gz *\.build *\.changes *\.deb
	@find . -prune -name '*.egg-info' -exec rm -rf '{}' ';' || true

.PHONY: clean

=== tests/t202/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	test -f debian/python-foo/usr/lib/python2.6/dist-packages/foo.py
	test -f debian/python-foo/usr/lib/python2.6/dist-packages/bar/bar.py
	grep -q pycompile debian/python-foo/DEBIAN/postinst
	grep -q pyclean debian/python-foo/DEBIAN/prerm

=== tests/t204/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	grep -q python2.6 debian/foo/usr/share/foo/foo.py
	grep -q Depends:.*python2.6 debian/foo/DEBIAN/control
	#grep -q python2.5 debian/foo/usr/share/bar/bar.py
	#grep -q Depends:.*python2.5 debian/foo/DEBIAN/control
	grep -q python2.4 debian/foo/usr/share/foo/baz.py
	test ! -x debian/foo/usr/share/foo/baz.py
	grep -q Depends:.*python2.4 debian/foo/DEBIAN/control && false || true

=== tests/t302/Makefile ===
#!/usr/bin/make -f
include ../common.mk

all: run check

run: clean
	dpkg-buildpackage -b -us -uc

check:
	grep -q "py3compile -p python3-foo /usr/lib/python3-foo"\
		debian/python3-foo/DEBIAN/postinst
	[ "`find debian/python3-foo/usr/lib/python3/dist-packages/foo -name 'bar.cpython-*.so'`" != "" ]

clean:
	./debian/rules clean
	rm -rf lib/Foo.egg-info build

=== tests/t304/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	# python3.2 hardcoded via `dh_python3 --shebang ...python3.2`
	grep -q '#! /usr/bin/python3.2 -OO' debian/foo/usr/share/baz32/baz.py
	# python3.3 hardcoded via shebang
	grep -q '/usr/share/foo \-V 3.3' debian/foo/DEBIAN/postinst
	# /env removed from shebang 
	grep -q '#! /usr/bin/python3' debian/foo/usr/share/bar/bar.py
	# /local removed from shebang 
	grep -q '#! /usr/bin/python3' debian/foo/usr/share/foo/baz.py
	grep -q '#! /usr/bin/python3.3' debian/foo/usr/share/foo/foo.py

=== debian/changelog ===
dh-python (1.20140128-1ubuntu8~ctools1) precise; urgency=medium

  * Backport for Ubuntu Cloud Archive, based on Debian Wheezy backports:
    - Replace libpython3-stdlib build dependency with python3.2
    - Update default/supported Python versions (in a fallback code,
      if python_defaults missing)
    - Use dpkg-divert to replace python3's dh_python3 and python's dh_python2
      and drop Breaks/Replaces
    - Remove the diversions on removal.
    - Patch rtupdate calls for compatibility with Ubuntu py3clean.
    - d/p/align-12.04-python-versions.patch: Align python/python3 versions
      with those in Ubuntu 12.04.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Mar 2014 14:51:17 +0000

dh-python (1.20140128-1ubuntu8) trusty; urgency=medium

  * Add no-python2.6.diff: Fix test failures on checking for python2.6
    specific bits.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 24 Mar 2014 17:36:23 +0100

dh-python (1.20140128-1ubuntu7) trusty; urgency=medium

  * Run tests with python3.4 instead of python3.3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Mar 2014 11:10:25 +0100

dh-python (1.20140128-1ubuntu5) trusty; urgency=medium

  * Drop Python 3.3 as a supported Python 3 version.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 09:17:26 +0100

dh-python (1.20140128-1ubuntu4) trusty; urgency=medium

  * Update supported Python 3 versions in tests, to fix autopkgtest
    failure.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 07 Mar 2014 22:53:55 +0400

dh-python (1.20140128-1ubuntu3) trusty; urgency=medium

  * Make dh-python autopkgtest depend on build-essential and fakeroot.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 27 Feb 2014 11:56:50 +0400

dh-python (1.20140128-1ubuntu2~cloud0) precise-icehouse; urgency=medium

  * Backport for Ubuntu Cloud Archive, based on Debian Wheezy backports:
    - Replace libpython3-stdlib build dependency with python3.2
    - Update default/supported Python versions (in a fallback code,
      if python_defaults missing)
    - Use dpkg-divert to replace python3's dh_python3 and python's dh_python2
      and drop Breaks/Replaces
    - Remove the diversions on removal.
    - Patch rtupdate calls for compatibility with Ubuntu py3clean.
    - d/p/align-12.04-python-versions.patch: Align python/python3 versions
      with those in Ubuntu 12.04.

 -- James Page <james.page@ubuntu.com>  Mon, 24 Feb 2014 10:57:21 +0000

dh-python (1.20140128-1ubuntu2) trusty; urgency=medium

  * Remove empty directories when moving files.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2014 15:14:23 +0100

dh-python (1.20140128-1ubuntu1~cloud0) precise-icehouse; urgency=medium

  * Backport for Ubuntu Cloud Archive, based on Debian Wheezy backports:
    - Replace libpython3-stdlib build dependency with python3.2
    - Update default/supported Python versions (in a fallback code,
      if python_defaults missing)
    - Use dpkg-divert to replace python3's dh_python3 and python's dh_python2
      and drop Breaks/Replaces
    - Remove the diversions on removal.
    - Patch rtupdate calls for compatibility with Ubuntu py3clean.
    - d/p/align-12.04-python-versions.patch: Align python/python3 versions
      with those in Ubuntu 12.04.

 -- James Page <james.page@ubuntu.com>  Mon, 10 Feb 2014 11:06:06 +0200

dh-python (1.20140128-1ubuntu1) trusty; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/control: Make dh-python Multi-Arch: foreign.
    - Add patch debian/patches/no-pyshare.diff:
      + Don't move files to /usr/share/pyshared anymore.
      + Don't create extension symlinks in /usr/lib/pyshared/pythonX.Y anymore.
    - Add patch debian/patches/python3.4.diff:
      + Add python3.4 as a supported version.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 29 Jan 2014 17:24:45 +0400

dh-python (1.20140128-1) unstable; urgency=low

  * dh_python3, dh_pypy: add support for debian/package.pyremove files
    (closes: 730777)
  * dh_python3: add multiarch tuples to all already tagged extensions if
    when more than one Python 3 version is supported (closes: 733128)
  * Make sure only first line is taken into account while checking shebangs
    (closes: 732308)
  * Assume UTF-8 encoding also in non UTF-8 environments while opening text
    files (closes: 735370)
  * Mention in pybuild's manpage that disabling anything for python3 doesn't
    disable python3-dbg as well (closes: 735899)
  * pybuild's distutils build plugin: set install-scripts to /usr/bin by default
  * Test Python 2.7 only in test203 if /usr/bin/python2.6 is missing
    (closes: 727674)
  * Generate dependencies for minimum required interpreter version that are
    satisfied by alpha/beta/rc releases (i.e. generate ">= X.Y~")
  * pybuild build plugins: show executed command (not only in --verbose),
    closes: 733755
  * Standards-Version bumped to 3.9.5 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 28 Jan 2014 18:20:19 +0100

dh-python (1.20131021-1ubuntu8) trusty; urgency=medium

  * Taken from upstream:
    dh_python3: add multiarch tuples to all already tagged extensions if
    when more than one Python 3 version is supported (closes: 733128).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2014 23:11:01 +0100

dh-python (1.20131021-1ubuntu7~cloud0) precise-icehouse; urgency=medium

  * Backport for Ubuntu Cloud Archive, based on Debian Wheezy backports:
    - Replace libpython3-stdlib build dependency with python3.2
    - Update default/supported Python versions (in a fallback code,
      if python_defaults missing)
    - Use dpkg-divert to replace python3's dh_python3 and python's dh_python2
      and drop Breaks/Replaces
    - Remove the diversions on removal.
    - Patch rtupdate calls for compatibility with Ubuntu py3clean.
    - d/p/align-12.04-python-versions.patch: Align python/python3 versions
      with those in Ubuntu 12.04.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jan 2014 14:23:02 +0000



=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: dh-python
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>, Barry Warsaw <barry@debian.org>
-Build-Depends: debhelper (>= 9), python3-minimal,
- python3.2,
+Build-Depends: debhelper (>= 9), python3-minimal, python3.2,
 # provides rst2man command (python3-docutils not used to avoid circular deps):
  python-docutils
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/dh-python/dh-python.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=dh-python/dh-python.git
 X-Python3-Version: >= 3.2
@@ -16,7 +15,8 @@
 
 Package: dh-python
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, python3 (>= 3.2.3-0~)
+Multi-Arch: foreign
 Description: Debian helper tools for packaging Python libraries and applications
  This package contains:
   * pybuild - invokes various build systems for requested Python versions in

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

clean:
	make clean
	dh_clean

override_dh_auto_test:
	# FIXME

override_dh_auto_install:
	DESTDIR=debian/dh-python PREFIX=/usr make install manpages
	# disable dh_python2 for now (shipped in python-defaults)
	rm debian/dh-python/usr/share/debhelper/autoscripts/postinst-pycompile
	rm debian/dh-python/usr/share/debhelper/autoscripts/prerm-pyclean
	rm debian/dh-python/usr/share/perl5/Debian/Debhelper/Sequence/python2.pm
	# drop files shipped in python3 (and compatible with dh-python)
	rm debian/dh-python/usr/share/debhelper/autoscripts/postinst-py3compile
	rm debian/dh-python/usr/share/debhelper/autoscripts/prerm-py3clean
	rm debian/dh-python/usr/share/perl5/Debian/Debhelper/Sequence/python3.pm
	# generate maintainer scripts, etc.
	./dh_python3

## dh-python 1.20140511

=== debian/changelog ===
dh-python (1.20140511-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Replace libpython3-stdlib build dependency with python3.2
  * Update default/supported Python versions (in a fallback code,
    if python_defaults missing)
  * Use dpkg-divert to replace python3's dh_python3 and python's dh_python2
    and drop Breaks/Replaces
  * dh_python2: do not rename extension files, Wheezy's python2.7 doesn't
    support multiarch tuples
  * Disable multiarch dependencies (":any" not supported that well in Wheezy)
  * dh_python2: create pyshared symlinks again
  * Update pydist maps to generate Wheezy dependencies (if package name in
    Jessie is different)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 01 Jul 2014 21:31:59 +0200

dh-python (1.20140511-1) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * pybuild: do not invoke clean commands for missing interpreters
    (and thus do not require all interpreter versions to be installed while
    building source package outside build environment, closes: 737091)
  * dh_python2: no longer moves files to /usr/share/pyshared if there's only
    one supported Python 2.X version and doesn't create /usr/lib/pyshared
    symlinks for extensions (as other helper tools are now deprecated)
  * Show fix_shebang's error messages only in debug mode, closes: 745581

  [ Matthias Klose ]
  * Remove empty directories when moving files. 

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 11 May 2014 20:59:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: dh-python
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>, Barry Warsaw <barry@debian.org>
-Build-Depends: debhelper (>= 9), python3-minimal, python3.2,
+Build-Depends: debhelper (>= 9), python3-minimal,
+ python3.2,
 # provides rst2man command (python3-docutils not used to avoid circular deps):
  python-docutils
 Standards-Version: 3.9.5
@@ -15,8 +15,7 @@
 
 Package: dh-python
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3 (>= 3.2.3-0~)
-Multi-Arch: foreign
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: Debian helper tools for packaging Python libraries and applications
  This package contains:
   * pybuild - invokes various build systems for requested Python versions in

## dh-python 1.20141111

=== pydist/Makefile ===
#!/usr/bin/make -f

clean:
	rm -rf cache
	#rm -f dist_fallback
	rm -f README.PyDist.html

dist_fallback:
	python3 ./generate_fallback_list.py

README.PyDist.html: README.PyDist
	rst2html $< $@

.PHONY: clean

=== tests/t202/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	test -f debian/python-foo/usr/lib/python2.7/dist-packages/foo.py
	test -f debian/python-foo/usr/lib/python2.7/dist-packages/bar/bar.py
	grep -q pycompile debian/python-foo/DEBIAN/postinst
	grep -q pyclean debian/python-foo/DEBIAN/prerm

=== debian/changelog ===
dh-python (1.20141111-2ubuntu1) vivid; urgency=low

  * Re-add Multi-Arch: foreign

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 19 Nov 2014 11:19:41 +0100

dh-python (1.20141111-2) unstable; urgency=medium

  * Remove Multi-Arch change from previous upload (not accepted for Jessie by
    release managers)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 15 Nov 2014 12:48:23 +0100

dh-python (1.20141111-1) unstable; urgency=medium

  * Set dh-python's Multi-Arch to "foreign" (closes: 767339)
  * dist_fallback files now contain list of all packages that provide Egg
    metadata (i.e. not just packages that don't have sensible name)
  * dh_python* no longer guesses dependency from requires.txt files nor Requires
    fields. Dependencies are generated only if given requirement is available
    in dist_fallback file (generated at dh-python's build time) or if it's
    available at build time (hint: Build-Depends)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 11 Nov 2014 21:23:20 +0100

dh-python (1.20141026-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Update supported (and default) PyPy version to 2.4.

  [ Piotr Ożarowski ]
  * Remove "-p " from autoscripts if --compile-all option is set
  * Add support for guessing dependencies from egg-info files (closes: 756378)
  * Parse "!=" relationship in egg dependencies (closes: 754058, thanks to
    Rafael Laboissiere for the patch)
  * Improve handling pyinstall/pyremove files (leading slash no longer needed
    for deprecated directories, manpages improved a bit) - closes: 741381
  * Suggest the right file name for dependency overrides (closes: 748296)
  * Add argparse to Python 3.X's dist fallback (closes: 763200)
  * Ensure that Depends and the likes are written in a stable
    order (closes: 759231, thanks to Jérémy Bobbio for the patch)
  * Remove dh_python2 diversions while upgrading from bpo package 
  * Standards-Version bumped to 3.9.6 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 26 Oct 2014 23:32:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,26 @@
 Source: dh-python
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>, Barry Warsaw <barry@debian.org>
-Build-Depends: debhelper (>= 9), python3-minimal,
- python3.2,
+Build-Depends: debhelper (>= 9), python3-minimal, libpython3-stdlib,
 # provides rst2man command (python3-docutils not used to avoid circular deps):
  python-docutils
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/dh-python/dh-python.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=dh-python/dh-python.git
+Vcs-Browser: http://anonscm.debian.org/cgit/dh-python/dh-python.git
 X-Python3-Version: >= 3.2
 XS-Testsuite: autopkgtest
 
 Package: dh-python
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python3:Depends}
+Breaks:
+# due to /usr/bin/dh_python3 and debhelper files
+ python3 (<< 3.3.2-4~)
+Replaces: python3 (<< 3.3.2-4~)
 Description: Debian helper tools for packaging Python libraries and applications
  This package contains:
   * pybuild - invokes various build systems for requested Python versions in

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

clean:
	make clean
	dh_clean

override_dh_auto_test:
	# FIXME

override_dh_auto_install:
	DESTDIR=debian/dh-python PREFIX=/usr make install manpages
	# disable dh_python2 for now (shipped in python-defaults)
	rm debian/dh-python/usr/share/debhelper/autoscripts/postinst-pycompile
	rm debian/dh-python/usr/share/debhelper/autoscripts/prerm-pyclean
	rm debian/dh-python/usr/share/perl5/Debian/Debhelper/Sequence/python2.pm
	# generate maintainer scripts, etc.
	./dh_python3

## dh-python 2.20150826ubuntu1

=== debian/changelog ===
dh-python (2.20150826ubuntu1) wily; urgency=medium

  * Add python3.5 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Sep 2015 12:58:58 +0200

dh-python (2.20150826) unstable; urgency=medium

  * Remove '--with-doctest' from nose call, closes: 749506
    to re-enable it: export PYBUILD_TEST_ARGS=--with-doctest
  * Build-Depends based test suite detection is used only if PYBUILD_TEST_FOO
    is not set to 1
  * dh_python2: do not try to move files to pyshared if package doesn't
    provide public modules (f.e. due to interpreter version no longer
    supported or installed), closes: 793148

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 26 Aug 2015 16:53:52 +0200

dh-python (2.20150728) unstable; urgency=medium

  * dh_python3: fix module renaming in Python >= 3.5 (SOABI now includes
    MULTIARCH triplet)
  * pybuild.pm: 
    - fix parsing Build-Depends with comments (closes: 793609, thanks to James
      McCoy for the patch) - new build/runtime dependency: libdpkg-perl
    - enable --test-{nose,pytest,tox} if appropriate build dependency is set
  * pybuild:
    - allow localhost connections (via no_proxy=localhost, thanks to
      Dimitri John Ledkov)
    - do not forward empty http{,s}_proxy env. vars - some tools do not like it
  * dh_python{2,3} and dh_pypy: skip packages with private modules that 
    do not have apropriate ${*:Depends} substvar in Depends
    (-p/-N in debian/rules to select the right package is no longer needed,
    now you can select the right tool by adding substvar)
  * generate_fallback_list.py: add support for --ubuntu (requires
    python3-distro-info package, thanks to James Page for original patch,
    closes LP: #1422433)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 28 Jul 2015 21:01:02 +0200

dh-python (2.20150719) unstable; urgency=medium

  * Update dist_fallback files
  * Converted to native package and bumped version number to 2.*
  * dh_python{2,3}:
    - remove empty directories (closes: 761028)
    - remove "test" and "tests" directories from dist-packages/
      (packages should ship tests in /usr/share/ or under thier own namespace)
  * Make private dir autoscript snippets output in a determinstic order
    (closes: 792436, thanks to Chris Lamb for the patch)
  * Clarify purpose of .pydist files (closes: 778633, thanks to Nikolaus Rath
    for the patch)
  * Remove "module" from extension file names also in Python 2.7

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 19 Jul 2015 22:54:37 +0200

dh-python (1.20150705-1) unstable; urgency=medium

  * Support requires.txt in PyPy packages.
  * Add unit tests for bugs fixed in this and the previous upload.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 05 Jul 2015 19:09:24 -0700

dh-python (1.20150628-1) unstable; urgency=medium

  * Fix path handling when --ext-dest-dir is used. Some characters were being
    stripped from the beginning of the path.
  * Re-apply Multi-Arch change.
  * Remove XS-Testsuite control field, no longer necessary.
  * Sort namespace files, for reproducibility. Thanks to Chris Lamb for the
    patch. (closes: 777134)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 28 Jun 2015 18:43:31 -0700

## dh-python 2.20150826ubuntu1.1

=== debian/changelog ===
dh-python (2.20150826ubuntu1.1) wily; urgency=medium

  * dhpython/pydist.py: Ensure that != dependency versions are ignored
    (LP: #1581065).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 20 Jun 2016 11:01:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: dh-python
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>, Barry Warsaw <barry@debian.org>
-Build-Depends: debhelper (>= 9), python3-minimal, libpython3-stdlib,
+Build-Depends: debhelper (>= 9), python3-minimal, libpython3-stdlib, libdpkg-perl,
 # provides rst2man command (python3-docutils not used to avoid circular deps):
- python-docutils
+ python-docutils,
+# used by tests: (disabled to avoid circular deps with python3)
+# python3-nose,
+# python3-all, python3-all-dbg, python3-all-dev,
+# python-all, python-all-dbg, python-all-dev
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/dh-python/dh-python.git
 Vcs-Browser: http://anonscm.debian.org/cgit/dh-python/dh-python.git
 X-Python3-Version: >= 3.2
-XS-Testsuite: autopkgtest
 
 Package: dh-python
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: libdpkg-perl, ${misc:Depends}, ${python3:Depends}
 Breaks:
 # due to /usr/bin/dh_python3 and debhelper files
  python3 (<< 3.3.2-4~)

## dh-python 2.20151103ubuntu1

=== tests/t201/Makefile ===
#!/usr/bin/make -f

include ../common.mk
DPY=$(DEBPYTHON_DEFAULT)

check:
	grep -q "Recommends: .*python-mako" debian/python-foo/DEBIAN/control
	#grep -q 'python-foo (>= 2:0.1~rc2)' debian/python-foo/DEBIAN/control
	if [ -x /usr/bin/python2.6 ]; then\
		test -f debian/python-foo/usr/lib/python2.6/dist-packages/foo/__init__.p;\
		test ! -f debian/python-foo/usr/lib/python2.6/dist-packages/foo/spam.py;\
	fi
	grep -qe "Depends: .*python\(:any\)\? (<<" debian/python-foo/DEBIAN/control
	[ "`readlink debian/python-foo/usr/lib/python$(DPY)/dist-packages/foo/absolute_link_to_tmp`" = "/tmp" ]
	[ "`readlink debian/python-foo/usr/lib/python$(DPY)/dist-packages/foo/link_to_parent_dir`" = ".." ]

clean: clean-common
	rm -rf lib/Foo.egg-info

=== tests/t202/Makefile ===
--- 
+++ 
@@ -6,5 +6,6 @@
 check:
 	test -f debian/python-foo/usr/lib/python2.7/dist-packages/foo.py
 	test -f debian/python-foo/usr/lib/python2.7/dist-packages/bar/bar.py
+	test \! -f debian/python-foo/usr/lib/python2.7/dist-packages/tests/__init__.py
 	grep -q pycompile debian/python-foo/DEBIAN/postinst
 	grep -q pyclean debian/python-foo/DEBIAN/prerm

=== tests/t207/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	# python2.4 hardcoded via `dh_python2 -shebang ...python2.4`
	grep -q '\-V 2.4 /usr/share/baz24' debian/foo/usr/share/python/runtime.d/foo.rtupdate
	grep -q '/usr/share/baz24 \-V 2.4' debian/foo/DEBIAN/postinst
	grep -q '#! /usr/bin/python2.4 -OO' debian/foo/usr/share/baz24/baz.py
	# python2.6 hardcoded via shebang
	grep -q '\-V 2.6 /usr/share/foo' debian/foo/usr/share/python/runtime.d/foo.rtupdate
	grep -q '/usr/share/foo \-V 2.6' debian/foo/DEBIAN/postinst
	# /env removed from shebang 
	grep -q '#! /usr/bin/python' debian/foo/usr/share/bar/bar.py
	# /local removed from shebang 
	grep -q '#! /usr/bin/python' debian/foo/usr/share/foo/baz.py
	grep -q '#! /usr/bin/python2.6' debian/foo/usr/share/foo/foo.py

=== debian/changelog ===
dh-python (2.20151103ubuntu1) xenial; urgency=medium

  * Merge from unstable. Remaining changes:
    - Add python3.5 as a supported python version.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 04 Nov 2015 18:22:28 +0000

dh-python (2.20151103) unstable; urgency=medium

  * dh_py*:
    - remove lines from requires.txt already translated into Debian
      dependencies
    - remove SOURCES.txt from egg-info directories (closes: 802882)
  * dh_pypy: generate pypy-abi-foo dependencies for PyPy extensions
    (closes: 803689)
  * pybuild:
    - build default interpreter version last (in case previous build
      results are overwritten, like in distutils build system)
    - remove (just before install stage) egg-info dirs generated in build_dir
      during test stage (closes: 803242)
  * Move libdpkg-perl from Depends to Suggests. python3 still depends on
    dh-python and we don't want to pull Perl when python3 is intalled
    (libdpkg-perl is pulled in by debhelper anyway) 
  * Add README.rst file

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 03 Nov 2015 23:20:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dh-python
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>, Barry Warsaw <barry@debian.org>
 Build-Depends: debhelper (>= 9), python3-minimal, libpython3-stdlib, libdpkg-perl,
 # provides rst2man command (python3-docutils not used to avoid circular deps):
@@ -18,7 +19,8 @@
 Package: dh-python
 Architecture: all
 Multi-Arch: foreign
-Depends: libdpkg-perl, ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
+Suggests: libdpkg-perl
 Breaks:
 # due to /usr/bin/dh_python3 and debhelper files
  python3 (<< 3.3.2-4~)

=== tests/t303/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	DH_VERBOSE=1 ../../dh_python3

override_dh_auto_build:
override_dh_auto_test:

comma:=,
empty:=
space:= $(empty) $(empty)
PYTHONS=$(subst $(comma),$(space),$(DEBPYTHON3_SUPPORTED))
override_dh_auto_install:
	set -e; for ver in $(PYTHONS); do\
	  mkdir -p debian/python3-foo/usr/lib/python$$ver/site-packages/;\
	  echo "print('foo')" > debian/python3-foo/usr/lib/python$$ver/site-packages/foo.py;\
	done

override_dh_auto_clean:

=== tests/t201/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-all
Standards-Version: 3.9.0
XS-Python-Version: >= 2.4

Package: python-foo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Enhances: ${python:Enhances}
Breaks: foo,
 ${python:Breaks}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: foo to rule them all
 exemple package #1

## dh-python 2.20151103ubuntu1.2~cloud0

=== debian/changelog ===
dh-python (2.20151103ubuntu1.2~cloud0) trusty-mitaka; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 16 Aug 2019 15:07:28 +0000

dh-python (2.20151103ubuntu1.2) xenial-security; urgency=medium

  * No change rebuild to get fixed dh-python into xenial-security.

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 15 Aug 2019 17:17:27 -0700

dh-python (2.20151103ubuntu1.1) xenial; urgency=medium

  * dhpython/pydist.py: Ensure that != dependency versions are ignored
    (LP: #1581065).

 -- James Page <james.page@ubuntu.com>  Thu, 12 May 2016 17:04:43 +0100

## dh-python 2.20151103ubuntu1.2

=== tests/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 # Note that all these packages have to be installed during tests
 export DEBPYTHON_DEFAULT=2.7
 export DEBPYTHON_SUPPORTED=2.6,2.7
-export DEBPYTHON3_DEFAULT=3.3
-export DEBPYTHON3_SUPPORTED=3.2,3.3
+export DEBPYTHON3_DEFAULT=3.4
+export DEBPYTHON3_SUPPORTED=3.4
 
 # enable or disable tests here:
 TESTS := test101 test201 test202 test203 test204 test205 test206 test207 test301 test302 test303 test304

=== tests/t205/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	# test dh_python2
	test -f debian/python-foo/usr/share/pyshared/keep_this_one/__init__.py
	test ! -f debian/python-foo/usr/share/pyshared/remove_this_one/__init__.py
	test ! -f debian/python-foo/usr/share/pyshared/foo/__init__.py
	grep -q remove_this_one debian/python-foo/usr/share/python/ns/python-foo
	grep -q foo debian/python-foo/usr/share/python/ns/python-foo
	grep -q bar.baz debian/python-foo/usr/share/python/ns/python-foo
	grep -q keep_this_one debian/python-foo/usr/share/python/ns/python-foo && false || true
	grep -q "pycompile -p python-foo" debian/python-foo/DEBIAN/postinst
	grep -q "pyclean -p python-foo" debian/python-foo/DEBIAN/prerm
	# test pycompile
#	DESTDIR=debian/python-foo/ ../../pycompile -v debian/python-foo/usr/lib/
#	set -e; for i in remove_this_one bar bar/baz;\
#	do [ "`ls debian/python-foo/usr/lib/python2.*/*-packages/$$i/__init__.py | wc -l`" != '0' ];\
#	[ "`ls debian/python-foo/usr/lib/python2.*/*-packages/$$i/__init__.pyc | wc -l`" != '0' ];\
#	done
	# test pyclean
#	DESTDIR=debian/python-foo/ ../../pyclean -v debian/python-foo/usr/lib/
#	set -e; for i in remove_this_one bar bar/baz;\
#	do [ "`ls debian/python-foo/usr/lib/python2.*/*-packages/$$i/__init__.py 2>/dev/null || true | wc -l`" = 0 ];\
#	[ "`ls debian/python-foo/usr/lib/python2.*/*-packages/$$i/__init__.pyc 2>/dev/null || true | wc -l`" = 0 ];\
#	done

=== tests/t206/Makefile ===
--- 
+++ 
@@ -13,6 +13,6 @@
 	grep -q '\-V 2.5 /usr/share/bar25' debian/foo/usr/share/python/runtime.d/foo.rtupdate
 	grep -q '/usr/share/bar25 \-V 2.5' debian/foo/DEBIAN/postinst
 	# python2.6 hardcoded via shebang
-	grep -q Depends:.*python2.6 debian/foo/DEBIAN/control
+	#grep -q Depends:.*python2.6 debian/foo/DEBIAN/control
 	grep -q '\-V 2.6 /usr/share/foo' debian/foo/usr/share/python/runtime.d/foo.rtupdate
 	grep -q '/usr/share/foo \-V 2.6' debian/foo/DEBIAN/postinst

=== tests/t301/Makefile ===
#!/usr/bin/make -f
include ../common.mk

all: run check


run: clean
	dpkg-buildpackage -b -us -uc

check:
	grep -qe "Depends: .*python3\(:any\)\? (<< 3.4)" debian/python3-foo/DEBIAN/control
	grep -q "Recommends: .*python3-mako" debian/python3-foo/DEBIAN/control
	test -f debian/python3-foo/usr/lib/python3/dist-packages/foo/__init__.py
	test ! -f debian/python3-foo/usr/lib/python3/dist-packages/foo/spam.py

clean:
	./debian/rules clean
	rm -rf lib/Foo.egg-info

=== tests/t301/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python3-all
Standards-Version: 3.9.0
X-Python3-Version: >= 3.1, << 3.4

Package: python3-foo
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Enhances: ${python3:Enhances}
Breaks: ${python3:Breaks}
Provides: ${python3:Provides}
Description: foo to rule them all
 exemple package #1

## dh-python 2.20160609~bpo8+1

=== debian/changelog ===
dh-python (2.20160609~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update default and supported Python versions
  * Add some Jessie packages to fallback files

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 17 Jun 2016 22:56:50 +0200

dh-python (2.20160609) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * pybuild's distutils build plugin: use force option at install stage to
    avoid non-deterministic shebangs (closes: 804339)
  * pybuild.pm:
    - fail with a message about missing interpreter package in
      Build-Depends if there's none (closes: 819353)
    - do not pass --dir to pybuild if it's equal to current directory
      (to make PYBUILD_DIR override possible)
  * dh_pypy: fix dpkg search template to find more pypy egg-info packages
  * dh_py*:
    - add interpreter to Depends if .so file is detected in private dir
      only if python{,3,all,3-all}-dev is in Build-Depends (closes: 811083)
    - use Build-Depends' minimum version for required libraries if other
      methods to detect it failed (closes: 791433)
    - --requires now tries to find given file in debian/pkg-name/ dir
      (`--requires foo/bar.txt` will try debian/python3-spam/foo/bar.txt and
      fall back to ./foo/bar.txt)
    - print an error if there's no package to act on
    - fix handling symlinks while moving files to common directory
      (closes: 801719)

  [ Ondřej Nový ]
  * When depends on python{3,}-setuptools-scm, set
    SETUPTOOLS_SCM_PRETEND_VERSION to upstream version
  * Standards-Version is 3.9.8 now (no changes needed)
  * Changed Vcs-* URLs to https protocol

  [ James Page ]
  * dhpython/pydist.py: Ensure that != dependency versions are ignored
    (LP: #1581065).

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 09 Jun 2016 18:37:46 +0200

## dh-python 2.20160721~bpo8+1

=== debian/changelog ===
dh-python (2.20160721~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 11 Aug 2016 17:46:57 +0000

dh-python (2.20160721) unstable; urgency=medium

  * pybuild.pm: recognize ":any" build dependencies (closes: 828883)
  * Save helper's name in autogenerated maintainer scripts (closes: 827774)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 21 Jul 2016 21:56:20 +0200

## dh-python 2.20160818~bpo8+1

=== debian/changelog ===
dh-python (2.20160818~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update default and supported Python versions
  * Add some Jessie packages to fallback files

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 28 Aug 2016 21:37:36 +0200

dh-python (2.20160818) unstable; urgency=medium

  [ Chris Lamb ]
  * dh_py*: do not copy build profiles into substvars (closes: 834238)
  * pybuild: log "before" and "after" commands by default (closes: 834506)

  [ Piotr Ożarowski ]
  * dh_py*: add --{depends,recommends,suggests}-section options
    Use these options if you want to translate section(s) of requires.txt
    file into Depends/Recommends/Suggests
  * Mention pydist override file names and their priority in README.PyDist

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 18 Aug 2016 00:27:52 +0200

## dh-python 2.20160818~cloud0

=== debian/changelog ===
dh-python (2.20160818~cloud0) xenial-newton; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 19 Aug 2016 00:17:25 +0000

## dh-python 2.20160818

=== tests/Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # hardcode default/supported Python versions to make tests more reliable
 # Note that all these packages have to be installed during tests
 export DEBPYTHON_DEFAULT=2.7
-export DEBPYTHON_SUPPORTED=2.6,2.7
-export DEBPYTHON3_DEFAULT=3.4
-export DEBPYTHON3_SUPPORTED=3.4
+export DEBPYTHON_SUPPORTED=2.7
+export DEBPYTHON3_DEFAULT=3.5
+export DEBPYTHON3_SUPPORTED=3.4,3.5
 
 # enable or disable tests here:
 TESTS := test101 test201 test202 test203 test204 test205 test206 test207 test301 test302 test303 test304

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dh-python
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>, Barry Warsaw <barry@debian.org>
 Build-Depends: debhelper (>= 9), python3-minimal, libpython3-stdlib, libdpkg-perl,
 # provides rst2man command (python3-docutils not used to avoid circular deps):
@@ -11,9 +10,9 @@
 # python3-nose,
 # python3-all, python3-all-dbg, python3-all-dev,
 # python-all, python-all-dbg, python-all-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/dh-python/dh-python.git
-Vcs-Browser: http://anonscm.debian.org/cgit/dh-python/dh-python.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/dh-python/dh-python.git
+Vcs-Browser: https://anonscm.debian.org/cgit/dh-python/dh-python.git
 X-Python3-Version: >= 3.2
 
 Package: dh-python

## dh-python 2.20170125~bpo8+1

=== tests/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 # Note that all these packages have to be installed during tests
 export DEBPYTHON_DEFAULT=2.7
 export DEBPYTHON_SUPPORTED=2.7
-export DEBPYTHON3_DEFAULT=3.5
-export DEBPYTHON3_SUPPORTED=3.4,3.5
+export DEBPYTHON3_DEFAULT=3.4
+export DEBPYTHON3_SUPPORTED=3.4
 
 # enable or disable tests here:
 TESTS := test101 test201 test202 test203 test204 test205 test206 test207 test301 test302 test303 test304

=== debian/changelog ===
dh-python (2.20170125~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update default and supported Python versions
  * Add some Jessie packages to fallback files

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 07 Mar 2017 21:47:01 +0100

dh-python (2.20170125) unstable; urgency=medium

  * pybuild.pm:
    - enable --test-{nose,pytest,tox} if appropriate pypy-* build
      dependency is set
  * pybuild: set _PYTHON_HOST_PLATFORM in the environment to ensure debugging
    symbols (reproducible builds effort). Thanks to Chris Lamb for the patch
    (closes: 835805)
  * dh_python{2,3} manpage: remove "s" suffix from *-section options
    to match the actual option name and --help output (closes: 847304)
  * dh_python{2,3}:
    - do not drop "module" from extension name if the name is "module",
      i.e. without prefix (closes: 841148)
    - add --accept-upstream-versions option. Thanks to Malte Forkel for the
      patch (also closes: 847387 as it now parses minimum/maximum version)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 25 Jan 2017 15:47:18 +0100

## dh-python 2.20170125~cloud0

=== debian/changelog ===
dh-python (2.20170125~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 25 Jan 2017 23:54:29 +0000
